import { CreateRecordOptions, IDnsProvider, RemoveRecordOptions } from "@certd/plugin-cert";
import { ILogger } from "@certd/pipeline";
import { AliyunAccess } from "../access";
export declare class AliyunDnsProvider implements IDnsProvider {
    client: any;
    access: AliyunAccess;
    logger: ILogger;
    onInstance(): Promise<void>;
    getDomainList(): Promise<any>;
    matchDomain(dnsRecord: string): Promise<any>;
    getRecords(domain: string, rr: string, value: string): Promise<any>;
    createRecord(options: CreateRecordOptions): Promise<any>;
    removeRecord(options: RemoveRecordOptions): Promise<any>;
}
